import request from '@/utils/request'

/**
 * 主体信息通用分页
 * @param {Object} data 分页参数
 * @author lroyia
 * @since 2021年2月2日 09:43:26
 */
export function commonPage(data) {
    return request({
        url: '/eBaseinfo/common_paging',
        method: 'post',
        data
    })
}

/**
 * 通过pripid查询企业信息
 * @param {string|Array} pripids 企业pripid
 * @returns {Array} 企业信息列表
 * @author lroyia
 * @since 2021年2月7日 16:10:33
 */
export function listByPripids(pripids) {
    const form = new FormData()
    if (typeof pripids === 'string') {
        form.append('pripids', pripids)
    } else if (typeof pripids === 'object' && pripids.splice) {
        form.append('pripids', pripids.toString())
    }
    return request({
        url: '/company/list_by_pripid',
        method: 'post',
        data: form
    })
}